Description: NSUInteger fixes for 64-bit platforms.
Bug-Debian: https://bugs.debian.org/755514
Origin: upstream, commit: r2540
Last-Update: 2014-10-29
---

--- gnustep-netclasses.orig/Source/IRCObject.m
+++ gnustep-netclasses/Source/IRCObject.m
@@ -143,7 +143,7 @@
 	
 #define NEXT_NON_SPACE(__y, __z, __string)\
 {\
-	int __len = [(__string) length];\
+	NSUInteger __len = [(__string) length];\
 	id set = [NSCharacterSet whitespaceCharacterSet];\
 	__z = (__y);\
 	while (__z < __len && \
@@ -152,9 +152,9 @@
 
 static inline NSString *get_IRC_prefix(NSString *line, NSString **prefix)
 {
-	int beg;
-	int end;
-	int len = [line length];
+	NSUInteger beg;
+	NSUInteger end;
+	NSUInteger len = [line length];
 	
 	if (len == 0)
 	{
@@ -205,9 +205,9 @@
 	
 static inline NSString *get_next_IRC_word(NSString *line, NSString **prefix)
 {
-	int beg;
-	int end;
-	int len = [line length];
+	NSUInteger beg;
+	NSUInteger end;
+	NSUInteger len = [line length];
 	
 	if (len == 0)
 	{
@@ -440,7 +440,7 @@
 static void rec_part(IRCObject *client, NSString *command,
                      NSString *prefix, NSArray *paramList)
 {
-	int x;
+	NSUInteger x;
 	
 	if (!prefix)
 	{	
@@ -565,7 +565,7 @@
                      NSArray *paramList)
 {
 	NSArray *newParams;
-	int x;
+	NSUInteger x;
 	
 	if (!prefix)
 	{
